#!/usr/bin/env python3
import random

n = int(input())
a = []
for i in range(n):
    t,x = input().split()
    a.append((int(t),int(x)))

width = 0
for r in range(10**6):
    i = random.randint(0,n-1)
    j = random.randint(0,n-1)
    ti,xi = a[i]
    tj,xj = a[j]
    width = max(width, abs(xj-xi) - abs(tj-ti))
print(width)
